

/*

    Diese Datei beinhaltet alle Styles der Komponenten.
    Jede Komponente wird am Beginn mit der Bezeichnung in Uppercase gestartet.
    Jede Zeile muss mit dem HTML Element und der Komponenten-Bezeichnung ( zb a.tf-button ) beginnen.

*/



/* MODAL */

*[data-tf-modal] {
    cursor: pointer;
}

div.tf-modal {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(6px);
    background-color: rgba(0, 0, 0, 0.85);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999995;
    opacity: 0;
    transition: opacity .2s;
}

div.tf-modal.visible {
    opacity: 1;
}

div.tf-modal > .wrapper {
    width: 90vw;
    max-width: 1000px;
    height: auto;
    opacity: 0;
    transform: scale( 0.9 );
    transition: opacity .2s, transform .2s;
}

div.tf-modal > .wrapper.visible {
    opacity: 1;
    transform: scale( 1 );
}

div.tf-modal > .wrapper > .content {
    position: relative;
    background-color: white;
    border-radius: 1rem;
    width: 100%;
    height: auto;
    max-height: 90vh;
    max-height: 90svh;
    padding: 2rem;
    overflow: hidden;
    overflow-y: auto;
}

div.tf-modal > .wrapper section.tf-content > .wrapper {
    width: 100%;
}

div.tf-modal > .wrapper section.tf-content:first-child > .wrapper {
    padding-top: 0px;
}

div.tf-modal > .wrapper section.tf-content:last-child > .wrapper {
    padding-bottom: 0px;
}

div.tf-modal > .wrapper section.tf-content > .wrapper:first-child h2 {
    padding-right: 55px;
}

div.tf-modal > .wrapper > .close {
    background-color: transparent;
    height: 40px;
    width: 40px;
    padding: 0px;
    position: absolute;
    right: 1.5rem;
    top: 1.5rem;
    cursor: pointer;
    z-index: 6;
    border: none;
}

div.tf-modal.impulse > .wrapper > .close{
background-color: rgba(255,255,255,0.9);
    border-radius: 10px;
}

div.tf-modal > .wrapper > .close::before,
div.tf-modal > .wrapper > .close::after {
    content: "";
    background-color: var( --textcolor );
    display: block;
    height: 4px;
    border-radius: 2px;
    width: 100%;
    position: absolute;
    left: 0px;
    top: 0px;
    bottom: 0px;
    margin-top: auto;
    margin-bottom: auto;
}

div.tf-modal > .wrapper > .close::before {
    transform: rotateZ(45deg);
}

div.tf-modal > .wrapper > .close::after {
    transform: rotateZ(-45deg);
}

div.tf-modal > .wrapper > .quickaction {
    position: absolute;
    left: 0px;
    top: 100%;
    width: 100%;
    height: calc( 40px + 2rem );
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none;
}

div.tf-modal > .wrapper > .quickaction button.tf-button {
    pointer-events: all;
}

div.tf-modal .close-pane {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
}

@media only screen and (max-width: 800px) {

    div.tf-modal > .wrapper > .content {
        padding-left: 1rem;
        padding-right: 1rem;
    }
    
    div.tf-modal > .wrapper > .close {
        top: 1.2rem;
        right: 1rem;
    }
    
}

@media only screen and (max-width: 550px) {

    div.tf-modal.narrow-fullsize > .wrapper {
        width: 100vw;
    }
    
    div.tf-modal.narrow-fullsize > .wrapper > .content {
        height: 100vh;
        max-height: 100vh;
        height: 100dvh;
        max-height: 100dvh;
        border-radius: 0px;
        padding-left: 5vw;
        padding-right: 5vw;
    }
        
    div.tf-modal.narrow-fullsize.course-preview > .wrapper > .content {
        padding-left: 0px;
        padding-right: 0px;
    }
    
}

div.tf-modal.message > .wrapper,
div.tf-modal.newsletter > .wrapper,
div.tf-modal.login > .wrapper {
    max-width: 700px;
}

div.tf-modal.video > .wrapper {
    max-width: 1400px;
}

div.tf-modal.video > .wrapper > .close {
    right: 0px;
    top: calc( -40px - 1rem );
}

div.tf-modal.video > .wrapper > .close::before,
div.tf-modal.video > .wrapper > .close::after {
    background-color: white;
}

div.tf-modal.video > .wrapper > .content {
    padding: 0px;
    aspect-ratio: 16 / 9;
    background-color: black;
    max-height: calc( 100svh - 4rem - 80px );
}

div.tf-modal.video > .wrapper > .content iframe {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: black;
}

div.tf-modal.course-preview > .wrapper {
    max-width: 1100px;
}

div.tf-modal.course-preview > .wrapper > .close {
    top: 1.4rem;
}

div.tf-modal.course-preview > .wrapper > .content {
    padding-top: 0px;
    padding-left: 0px;
    padding-right: 0px;
    background-color: var( --background-off-white );
}

div.tf-modal.prices-and-order > .wrapper > .content {
    padding: 0px;
}

div.tf-modal.prices-and-order > .wrapper > .close {
    top: 21px;
}

div.tf-modal.impulse > .wrapper > .content:has( > .tf-impulse ) {
    padding: 0px;
}